Skip to content
v2.274.0

CallApiGatewayEndpointBaseOptions Struct ​

Base CallApiGatewayEdnpoint Task Props.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_stepfunctions as stepfunctions } from 'aws-cdk-lib';
import { aws_stepfunctions_tasks as stepfunctions_tasks } from 'aws-cdk-lib';

declare const taskInput: stepfunctions.TaskInput;
const callApiGatewayEndpointBaseOptions: stepfunctions_tasks.CallApiGatewayEndpointBaseOptions = {
  method: stepfunctions_tasks.HttpMethod.GET,

  // the properties below are optional
  apiPath: 'apiPath',
  authType: stepfunctions_tasks.AuthType.NO_AUTH,
  headers: taskInput,
  queryParameters: taskInput,
  requestBody: taskInput,
};

Properties ​

apiPathoptionalstringapi_pathoptionalstrapiPathoptionalStringApiPathoptionalstringApiPathoptional*string#
Path parameters appended after API endpoint.

Default: No path

authTypeoptionalAuthTypeauth_typeoptionalAuthTypeauthTypeoptionalAuthTypeAuthTypeoptionalAuthTypeAuthTypeoptionalAuthType= AuthType.NO_AUTH#
Authentication methods.
headersoptionalTaskInputheadersoptionalTaskInputheadersoptionalTaskInputHeadersoptionalTaskInputHeadersoptionalTaskInput#
HTTP request information that does not relate to contents of the request.

Default: No headers

methodHttpMethodmethodHttpMethodmethodHttpMethodMethodHttpMethodMethodHttpMethodrequired#
Http method for the API.
queryParametersoptionalTaskInputquery_parametersoptionalTaskInputqueryParametersoptionalTaskInputQueryParametersoptionalTaskInputQueryParametersoptionalTaskInput#
Query strings attached to end of request.

Default: No query parameters

requestBodyoptionalTaskInputrequest_bodyoptionalTaskInputrequestBodyoptionalTaskInputRequestBodyoptionalTaskInputRequestBodyoptionalTaskInput#
HTTP Request body.

Default: No request body